import { JavaObject } from '../../../java/lang/JavaObject';
export declare class GostLeistungenFachbelegung extends JavaObject {
    id: number;
    schuljahr: number;
    halbjahrKuerzel: String | null;
    abschnitt: number;
    abschnittGewertet: boolean;
    jahrgang: String | null;
    lehrer: Number | null;
    notenKuerzel: String | null;
    kursartKuerzel: String | null;
    istSchriftlich: boolean;
    bilingualeSprache: String | null;
    wochenstunden: number;
    fehlstundenGesamt: number;
    fehlstundenUnentschuldigt: number;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GostLeistungenFachbelegung;
    static transpilerToJSON(obj: GostLeistungenFachbelegung): string;
    static transpilerToJSONPatch(obj: Partial<GostLeistungenFachbelegung>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_GostLeistungenFachbelegung(obj: unknown): GostLeistungenFachbelegung;
